Page MenuHomePhabricator

make Web APIs hub a front door to API documentation
Closed, DeclinedPublic

Description

Now we have Web APIs hub it should be the landing page for MediaWiki APIs (plural). Please note:

  • API:Main_page will still exist as the introduction to the MediaWiki action API (in fact it will redirect to the renamed page API:Action API), so all bookmarks and external links to it will continue to go to the same place.
  • There's nothing special about the name "Main_page" in a namespace.

Pages that could link to "Web APIs hub" include

Concerns raised at E50: IRC office hour: Web APIs Hub (phab tasks coming):

  • Web APIs hub focuses on API use on Wikimedia sites
    • well, yes. Third-party developers want to access free open knowledge on Wikimedia sites. @Spage is happy to showcase articles about using APIs on other sites
    • Task: clarify what API modules are part of core MediaWiki and which are extensions.
  • Task: Navigation on Web APIs hub needs to be improved, need "a compact overview / list of APIs" (part of T93062)

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added subscribers: Spage, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 1:31 AM
Qgil assigned this task to Spage.Sep 14 2015, 5:31 AM
Qgil triaged this task as Normal priority.Oct 7 2015, 2:02 PM

Assuming normal priority, please correct if needed.

Aklapper removed Spage as the assignee of this task.Sep 23 2016, 2:11 PM
Aklapper closed this task as Declined.Mon, Oct 7, 11:17 AM

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMon, Oct 7, 11:17 AM